"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const io_1 = require("./src/io");
async function repl(cp) {
    const code = await io_1.read();
    const res = await cp.processInput(code);
    io_1.print(res.output, false);
    const output = await cp.execute();
    io_1.print(output, false);
}
async function runRepl(cp) {
    while (1) {
        try {
            await repl(cp);
        }
        catch (e) {
            console.error(e);
            process.exit(0);
        }
    }
}
exports.default = runRepl;
