"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const compiler_1 = __importDefault(require("../src/compiler"));
describe('test wrappers', () => {
    it('wrapCodeWith', () => {
        expect(compiler_1.default.wrapCodeWith('str')).toBe('value_of(str);');
        expect(compiler_1.default.wrapCodeWith('str', 'qwq')).toBe('qwq(str);');
    });
    it('wrapInclude', () => {
        expect(compiler_1.default.wrapInclude('bits/stdc++.h')).toBe('#include "bits/stdc++.h"');
    });
    it('addSemicolon', () => {
        expect(compiler_1.default.addSemicolon('qwq')).toBe('qwq;');
        expect(compiler_1.default.addSemicolon('qwq;;')).toBe('qwq;');
    });
    it('concatCode', () => {
        const code = ['int i;', "i;"];
        const include = ['queue'];
        const res = `#include "queue"

int main () {
int i;
i;

}`;
        expect(compiler_1.default.concatCode(code, include)).toBe(res);
    });
});
