"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOSExecName = exports.getLocalPath = void 0;
const path_1 = require("path");
const os_1 = require("os");
const { getInstalledPath } = require('get-installed-path');
const detectInstalled = require('detect-installed');
async function getLocalPath(filename) {
    if (await detectInstalled('cpprepl')) {
        let res = await getInstalledPath('cpprepl');
        res = path_1.join(res, filename);
        return res;
    }
    else {
        return filename;
    }
}
exports.getLocalPath = getLocalPath;
function getOSExecName() {
    if (os_1.platform() === 'win32') {
        return 'a.exe';
    }
    else if (os_1.platform() === 'linux') {
        return 'a.out';
    }
    return 'a.out';
}
exports.getOSExecName = getOSExecName;
